LibreOffice: XMailService Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XMailService Interface Reference

Represents a mail server abstraction. More...

`import <XMailService.idl;`

Inheritance diagram for XMailService:

## Public Member Functions
sequence< string > | getSupportedConnectionTypes ()
| Returns all connection types which are supported to connect to the mail service.
void | addConnectionListener ([in] XConnectionListener xListener)
| Register a connection listener.
void | removeConnectionListener ([in] XConnectionListener xListener)
| Unregister a connection listener.
com::sun::star::uno::XCurrentContext | getCurrentConnectionContext () raises (com::sun::star::io::NotConnectedException)
| Return the context of the current connection.
void | connect ([in] com::sun::star::uno::XCurrentContext xConnectionContext, [in] XAuthenticator xAuthenticator) raises (com::sun::star::lang::IllegalArgumentException, com::sun::star::io::AlreadyConnectedException, com::sun::star::io::UnknownHostException, com::sun::star::io::NoRouteToHostException, com::sun::star::io::ConnectException, com::sun::star::auth::AuthenticationFailedException, com::sun::star::mail::MailException)
| Connect to a mail service.
void | disconnect () raises (com::sun::star::mail::MailException)
| Disconnect from a mail service.
boolean | isConnected ()
| Returns whether a connection to a mail service currently exist or not.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Represents a mail server abstraction.

Since
  OOo 2.0

## Member Function Documentation

## ◆ addConnectionListener()

void addConnectionListener | ( | [in] XConnectionListener | xListener | ) |

Register a connection listener.

Parameters

  xListener | [in] a listener that will be informed about connection events.

See also
  com::sun::star::mail::XConnectionListener

## ◆ connect()

void connect | ( | [in] com::sun::star::uno::XCurrentContext | xConnectionContext,
|  | [in] XAuthenticator | xAuthenticator )
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::io::AlreadyConnectedException,
|  | com::sun::star::io::UnknownHostException,
|  | com::sun::star::io::NoRouteToHostException,
|  | com::sun::star::io::ConnectException,
|  | com::sun::star::auth::AuthenticationFailedException,
|  | com::sun::star::mail::MailException ) |  |  |

Connect to a mail service.

Only one connection to a mail service can be established at a time.

Parameters

  xConnectionContext | [in] an interface used to query for connection related information. The context must contain the following values: ServerName of type 'string'. Port of type 'long'. ConnectionType of type 'string'. A list of supported connection types can be queried using getSupportedConnectionTypes(). Timeout of type 'long' (Optional). Specifies a timeout in seconds for blocking operations, like the connection attempt.
  xAuthenticator | [in] an interface used to query for the necessary user information needed to login to the mail server. If no authentication is required the xAuthenticator must return an empty user name and an empty password.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the provided connection context contains invalid values or misses required connection parameters.
  com::sun::star::io::AlreadyConnectedException | on a try to connect to an already connect mail server.
  com::sun::star::io::UnknownHostException | usually if the IP address of the mail server could not be determined. Possible causes are a broken network connection, a wrong server name, an unreachable DNS server, etc.
  com::sun::star::io::NoRouteToHostException | if an error occurred to connect to the remote mail server. Typically the remote mail server cannot be reach because of an intervening firewall, or if an intermediate router is down, the network connection is broken, etc.
  com::sun::star::io::ConnectException | if an error occurred while attempting to connect to the remote mail server. Typically the connection was refused remotely, because the mail server is not listening on the remote address/port.
  com::sun::star::auth::AuthenticationException | if the specified user could not be logged in.
  com::sun::star::mail::MailException | for other errors during login.

See also
  com::sun::star::uno::XCurrentContext
  com::sun::star::mail::XAuthenticator
  com::sun::star::lang::IllegalArgumentException
  com::sun::star::io::AlreadyConnectedException
  com::sun::star::io::UnknownHostException
  com::sun::star::io::NoRouteToHostException
  com::sun::star::io::ConnectException
  com::sun::star::auth::AuthenticationException
  com::sun::star::mail::IllegalStateException
  com::sun::star::mail::MailException

## ◆ disconnect()

void disconnect | ( |  | ) |
raises | ( | com::sun::star::mail::MailException ) |  |  |

Disconnect from a mail service.

Exceptions

  com::sun::star::mail::MailException | if errors occur during disconnecting.

## ◆ getCurrentConnectionContext()

com::sun::star::uno::XCurrentContext getCurrentConnectionContext | ( |  | ) |
raises | ( | com::sun::star::io::NotConnectedException ) |  |  |

Return the context of the current connection.

The context contains information like the server name, port, connection type etc.

Precondition
  `isConnected` returns true.

Returns
  the current connection context.

Exceptions

  com::sun::star::io::NotConnectedException | if no connection is currently established.

See also
  com::sun::star::mail::connectUser
  com::sun::star::io::NotConnectedException

## ◆ getSupportedConnectionTypes()

sequence< string > getSupportedConnectionTypes | ( |  | ) |

Returns all connection types which are supported to connect to the mail service.

At least support insecure connections must be supported. Currently defined connection types are (the values should be handled case insensitive): "Insecure" - insecure connections "SSL" - Secure Socket Layer 2.0/3.0 based connection

Returns
  a sequence of supported connection types.

## ◆ isConnected()

boolean isConnected | ( |  | ) |

Returns whether a connection to a mail service currently exist or not.

Returns
  `TRUE` if a connection to a mail service is established.

## ◆ removeConnectionListener()

void removeConnectionListener | ( | [in] XConnectionListener | xListener | ) |

Unregister a connection listener.

Parameters

  xListener | [in] a listener that no longer need to be informed about connection events.

See also
  com::sun::star::mail::XConnectionListener

The documentation for this interface was generated from the following file:

- com/sun/star/mail/XMailService.idl